## erlang-p1-stun 0.2016.01.23

=== Makefile ===
all: deps/% src

deps/%:
	rebar get-deps

src:
	rebar compile

clean:
	rebar clean

doc:
	rebar skip_deps=true doc

test: all
	rebar -v skip_deps=true eunit

.PHONY: clean src all doc rebar

## erlang-p1-stun 0.2014.05.08

=== debian/changelog ===
erlang-p1-stun (0.2014.05.08-1) unstable; urgency=medium

  * Imported Upstream version 0.2014.05.08
  * Added new build-dependency: erlang-eunit

 -- Philipp Huebner <debalance@debian.org>  Wed, 14 May 2014 10:56:26 +0200

erlang-p1-stun (0.2013.06.23-1) unstable; urgency=low

  * Initial release, see #744885 for background

 -- Philipp Huebner <debalance@debian.org>  Wed, 23 Apr 2014 09:56:59 +0200

=== debian/control ===
Source: erlang-p1-stun
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-eunit, erlang-p1-tls
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/processone/stun


Package: erlang-p1-stun
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-tls
Suggests: stun-server | turn-server
Description: STUN library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-stun 0.2014.08.20

=== debian/changelog ===
erlang-p1-stun (0.2014.08.20-1) unstable; urgency=medium

  * Imported Upstream version 0.2014.08.20

 -- Philipp Huebner <debalance@debian.org>  Thu, 28 Aug 2014 12:14:46 +0200

=== debian/control ===
Source: erlang-p1-stun
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-eunit, erlang-p1-tls, erlang-p1-utils
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/processone/stun


Package: erlang-p1-stun
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-tls, erlang-p1-utils
Suggests: stun-server | turn-server
Description: STUN library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

DESTDIR=$(CURDIR)/debian/erlang-p1-stun


%:
	dh $@ --buildsystem=rebar --with rebar


override_dh_auto_install:
	dh_auto_install
	for file in include/*.hrl; do \
		fname=$$(basename $${file}) ; \
		subdir=$$(dirname $${file}) ; \
		if [ ! -f $(DESTDIR)/usr/lib/erlang/lib/p1_stun-$(DEB_VERSION_UPSTREAM)/$${subdir}/$${fname} ] ; then \
			install -m 755 -d $(DESTDIR)/usr/lib/erlang/lib/p1_stun-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
			install -m 644 $${file} $(DESTDIR)/usr/lib/erlang/lib/p1_stun-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
		fi ; \
	done

## erlang-p1-stun 0.2015.07.21

=== debian/changelog ===
erlang-p1-stun (0.2015.07.21-1) unstable; urgency=medium

  * Imported Upstream version 0.2015.07.21
  * Enabled eunit

 -- Philipp Huebner <debalance@debian.org>  Mon, 17 Aug 2015 16:58:18 +0200

erlang-p1-stun (0.2014.08.20-3) unstable; urgency=high

  [ Holger Weiss ]
  * Support Erlang/OTP 18.x (Closes: #790445)

 -- Philipp Huebner <debalance@debian.org>  Sat, 04 Jul 2015 14:24:14 +0200

erlang-p1-stun (0.2014.08.20-2) unstable; urgency=medium

  * Updated Standards-Version: 3.9.6 (no changes needed)
  * Updated years in debian/copyright
  * Added Vcs links to debian/control

 -- Philipp Huebner <debalance@debian.org>  Sat, 02 May 2015 18:28:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: erlang-p1-stun
 Priority: optional
 Maintainer: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper (>= 9), dh-rebar, erlang-eunit, erlang-p1-tls, erlang-p1-utils
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), dh-rebar, erlang-eunit, erlang-p1-tls, erlang-p1-utils, erlang-syntax-tools
+Standards-Version: 3.9.6
 Section: libs
 Homepage: https://github.com/processone/stun
-
+Vcs-Git: git://anonscm.debian.org/users/debalance/erlang-p1-stun.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/debalance/erlang-p1-stun.git
 
 Package: erlang-p1-stun
 Architecture: any

## erlang-p1-stun 0.2016.01.23

=== debian/changelog ===
erlang-p1-stun (0.2016.01.23-1) unstable; urgency=medium

  * Imported Upstream version 0.2016.01.23 (aka 0.9.1)
  * Updated Standards-Version: 3.9.7 (no changes needed)
  * Updated Vcs-* fields in debian/control

 -- Philipp Huebner <debalance@debian.org>  Wed, 03 Feb 2016 11:33:01 +0100

erlang-p1-stun (0.2016.01.05-1) unstable; urgency=medium

  * Imported Upstream version 0.2016.01.05 (aka 0.9.0)
  * Updated debian/copyright
  * Updated debian/watch

 -- Philipp Huebner <debalance@debian.org>  Sat, 16 Jan 2016 13:00:11 +0100

erlang-p1-stun (0.2015.09.16-1) unstable; urgency=medium

  * Imported Upstream version 0.2015.09.16

 -- Philipp Huebner <debalance@debian.org>  Sun, 04 Oct 2015 10:23:22 +0200

=== debian/control ===
Source: erlang-p1-stun
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-eunit, erlang-p1-tls (>= 1.0.0), erlang-p1-utils (>= 1.0.3), erlang-syntax-tools
Standards-Version: 3.9.7
Section: libs
Homepage: https://github.com/processone/stun
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-stun.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-stun.git

Package: erlang-p1-stun
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-tls (>= 1.0.0), erlang-p1-utils (>= 1.0.3)
Suggests: stun-server | turn-server
Description: STUN library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,7 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-
-# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/default.mk
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-stun

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/erlang-p1-stun_$1.tar.gz/" \
  https://github.com/processone/stun/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## erlang-p1-stun 1.0.6

=== debian/changelog ===
erlang-p1-stun (1.0.6-1) unstable; urgency=medium

  * Imported Upstream version 1.0.6
  * (Build-)Depend on erlang-p1-tls (>= 1.0.6)

 -- Philipp Huebner <debalance@debian.org>  Fri, 05 Aug 2016 21:15:28 +0200

erlang-p1-stun (1.0.5-1) unstable; urgency=medium

  * Imported Upstream version 1.0.5

 -- Philipp Huebner <debalance@debian.org>  Sun, 03 Jul 2016 16:42:40 +0200

erlang-p1-stun (1.0.4-1) unstable; urgency=medium

  * Imported Upstream version 1.0.4
  * (Build-)Depend on erlang-p1-tls (>= 1.0.4)
  * Improved debian/watch
  * Updated Standards-Version: 3.9.8 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jun 2016 16:10:27 +0200

erlang-p1-stun (1.0.1-1) unstable; urgency=medium

  * Updated debian/copyright
  * Moved back to erlang-p1-tls

 -- Philipp Huebner <debalance@debian.org>  Sun, 14 Feb 2016 18:26:43 +0100

erlang-p1-stun (1.0.1-1~exp1) experimental; urgency=medium

  * Imported Upstream version 1.0.1

 -- Philipp Huebner <debalance@debian.org>  Fri, 05 Feb 2016 19:00:14 +0100

erlang-p1-stun (1.0.0-1~exp1) experimental; urgency=medium

  * Imported Upstream version 1.0.0
  * Moved to erlang-p1-fast-tls

 -- Philipp Huebner <debalance@debian.org>  Thu, 04 Feb 2016 15:55:13 +0100

=== debian/control ===
Source: erlang-p1-stun
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-eunit, erlang-p1-tls (>= 1.0.6), erlang-p1-utils (>= 1.0.4), erlang-syntax-tools
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/processone/stun
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-stun.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-stun.git

Package: erlang-p1-stun
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-tls (>= 1.0.6), erlang-p1-utils (>= 1.0.4)
Suggests: stun-server | turn-server
Description: STUN library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-stun 1.0.7

=== debian/changelog ===
erlang-p1-stun (1.0.7-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Philipp Huebner <debalance@debian.org>  Fri, 07 Oct 2016 17:25:08 +0200

erlang-p1-stun (1.0.7-2) unstable; urgency=medium

  * Added erlang-base to Build-Depends

 -- Philipp Huebner <debalance@debian.org>  Wed, 05 Oct 2016 15:57:52 +0200

erlang-p1-stun (1.0.7-1) unstable; urgency=medium

  * New upstream version 1.0.7
  * (Build-)Depend on erlang-p1-utils (>= 1.0.5) and erlang-p1-tls (>= 1.0.7)

 -- Philipp Huebner <debalance@debian.org>  Fri, 16 Sep 2016 14:36:06 +0200

=== debian/control ===
Source: erlang-p1-stun
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (<< 1:18.3), erlang-eunit, erlang-p1-tls (>= 1.0.7), erlang-p1-utils (>= 1.0.5), erlang-syntax-tools
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/processone/stun
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-stun.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-stun.git

Package: erlang-p1-stun
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (<< 1:18.3), ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-tls (>= 1.0.7), erlang-p1-utils (>= 1.0.5)
Suggests: stun-server | turn-server
Description: STUN library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-stun 1.0.12

=== debian/changelog ===
erlang-p1-stun (1.0.12-1) unstable; urgency=medium

  * New upstream version 1.0.12
  * Updated Standards-Version: 4.0.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 12 Jul 2017 18:34:06 +0200

erlang-p1-stun (1.0.10-1~exp1) experimental; urgency=medium

  * New upstream version 1.0.10
  * Updated debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 15 Apr 2017 13:24:41 +0200

=== debian/control ===
Source: erlang-p1-stun
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base, erlang-eunit, erlang-p1-tls (>= 1.0.13), erlang-p1-utils (>= 1.0.9), erlang-syntax-tools
Standards-Version: 4.0.0
Section: libs
Homepage: https://github.com/processone/stun
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-stun.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-stun.git

Package: erlang-p1-stun
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-tls (>= 1.0.13), erlang-p1-utils (>= 1.0.9)
Suggests: stun-server | turn-server
Description: STUN library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-stun 1.0.14

=== debian/changelog ===
erlang-p1-stun (1.0.14-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Philipp Huebner <debalance@debian.org>  Mon, 18 Sep 2017 07:51:10 +0200

erlang-p1-stun (1.0.14-1) unstable; urgency=medium

  * New upstream version 1.0.14
  * Updated Standards-Version: 4.1.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sat, 02 Sep 2017 17:28:48 +0200

=== debian/control ===
Source: erlang-p1-stun
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (>= 1:19.2), erlang-eunit, erlang-p1-tls (>= 1.0.13), erlang-p1-utils (>= 1.0.9), erlang-syntax-tools
Standards-Version: 4.1.0
Section: libs
Homepage: https://github.com/processone/stun
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-stun.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-stun.git

Package: erlang-p1-stun
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-tls (>= 1.0.13), erlang-p1-utils (>= 1.0.9)
Suggests: stun-server | turn-server
Description: STUN library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-stun 1.0.20

=== debian/changelog ===
erlang-p1-stun (1.0.20-1) unstable; urgency=medium

  * New upstream version 1.0.20
  * (Build-)Depend on erlang-p1-tls (>= 1.0.20)

 -- Philipp Huebner <debalance@debian.org>  Sat, 13 Jan 2018 12:48:45 +0100

erlang-p1-stun (1.0.17-1) unstable; urgency=medium

  * Set Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
  * Set Uploaders: Philipp Huebner <debalance@debian.org>
  * Updated Vcs-* fields in debian/control for salsa.debian.org
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.1.3 (no changes needed)
  * New upstream version 1.0.17
  * (Build-)Depend on erlang-p1-tls (>= 1.0.18)

 -- Philipp Huebner <debalance@debian.org>  Thu, 04 Jan 2018 11:37:58 +0100

erlang-p1-stun (1.0.16-1) unstable; urgency=medium

  * New upstream version 1.0.16
  * (Build-)Depend on erlang-base (>= 1:19.2)
  * Updated Standards-Version: 4.1.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Mon, 27 Nov 2017 20:21:41 +0100

=== debian/control ===
Source: erlang-p1-stun
Priority: optional
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (>= 1:19.2), erlang-eunit, erlang-p1-tls (>= 1.0.20),
               erlang-p1-utils (>= 1.0.10), erlang-syntax-tools
Standards-Version: 4.1.3
Section: libs
Homepage: https://github.com/processone/stun
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stun.git
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stun

Package: erlang-p1-stun
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-tls (>= 1.0.20), erlang-p1-utils (>= 1.0.10)
Suggests: stun-server | turn-server
Description: STUN library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-stun

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-stun_$1.tar.gz/" \
  https://github.com/processone/stun/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-stun 1.0.23

=== debian/changelog ===
erlang-p1-stun (1.0.23-1) unstable; urgency=medium

  * New upstream version 1.0.23
  * Added debian/upstream/metadata

 -- Philipp Huebner <debalance@debian.org>  Wed, 04 Jul 2018 16:24:24 +0200

erlang-p1-stun (1.0.22-1) unstable; urgency=medium

  * New upstream version 1.0.22
  * Updated Standards-Version: 4.1.4 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 09 May 2018 17:20:22 +0200

erlang-p1-stun (1.0.21-1) unstable; urgency=medium

  * use secure copyright format uri in debian/copyright
  * New upstream version 1.0.21
  * Switched to debhelper 11

 -- Philipp Huebner <debalance@debian.org>  Tue, 27 Mar 2018 23:30:10 +0200

=== debian/control ===
Source: erlang-p1-stun
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-eunit,
               erlang-p1-tls (>= 1.0.23),
               erlang-p1-utils (>= 1.0.12),
               erlang-syntax-tools
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stun
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stun.git
Homepage: https://github.com/processone/stun

Package: erlang-p1-stun
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-p1-tls (>= 1.0.23),
         erlang-p1-utils (>= 1.0.12)
Suggests: stun-server | turn-server
Description: STUN library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-stun 1.0.26

=== debian/changelog ===
erlang-p1-stun (1.0.26-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Philipp Huebner <debalance@debian.org>  Wed, 02 Jan 2019 19:16:48 +0100

erlang-p1-stun (1.0.26-1) unstable; urgency=medium

  * New upstream version 1.0.26
  * Updated Standards-Version: 4.3.0 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Tue, 01 Jan 2019 22:48:59 +0100

erlang-p1-stun (1.0.25-1) unstable; urgency=medium

  * New upstream version 1.0.25
  * Enabled DH_VERBOSE in debian/rules
  * Updated Standards-Version: 4.2.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 07 Oct 2018 14:57:48 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-eunit,
-               erlang-p1-tls (>= 1.0.23),
-               erlang-p1-utils (>= 1.0.12),
+               erlang-p1-tls (>= 1.0.26),
+               erlang-p1-utils (>= 1.0.13),
                erlang-syntax-tools
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stun
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stun.git
 Homepage: https://github.com/processone/stun
@@ -21,8 +21,8 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-tls (>= 1.0.23),
-         erlang-p1-utils (>= 1.0.12)
+         erlang-p1-tls (>= 1.0.26),
+         erlang-p1-utils (>= 1.0.13)
 Suggests: stun-server | turn-server
 Description: STUN library for Erlang
  This library was written for ejabberd which still uses it.

## erlang-p1-stun 1.0.28

=== debian/changelog ===
erlang-p1-stun (1.0.28-1) unstable; urgency=medium

  * New upstream version 1.0.28
  * Updated Erlang dependencies
  * Updated Standards-Version: 4.4.0 (no changes needed)
  * debian/rules: export ERL_COMPILER_OPTIONS=deterministic
  * Updated debhelper compat version: 12

 -- Philipp Huebner <debalance@debian.org>  Wed, 24 Jul 2019 12:50:05 +0200

=== debian/control ===
Source: erlang-p1-stun
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 12),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-eunit,
               erlang-p1-tls (>= 1.1.1),
               erlang-p1-utils (>= 1.0.15),
               erlang-syntax-tools
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stun
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stun.git
Homepage: https://github.com/processone/stun

Package: erlang-p1-stun
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-p1-tls (>= 1.1.1),
         erlang-p1-utils (>= 1.0.15)
Suggests: stun-server | turn-server
Description: STUN library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-stun 1.0.29

=== debian/changelog ===
erlang-p1-stun (1.0.29-1) unstable; urgency=medium

  * New upstream version 1.0.29
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sat, 10 Aug 2019 14:22:39 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-eunit,
-               erlang-p1-tls (>= 1.1.1),
-               erlang-p1-utils (>= 1.0.15),
+               erlang-p1-tls (>= 1.1.2),
+               erlang-p1-utils (>= 1.0.16),
                erlang-syntax-tools
 Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stun
@@ -21,8 +21,8 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-tls (>= 1.1.1),
-         erlang-p1-utils (>= 1.0.15)
+         erlang-p1-tls (>= 1.1.2),
+         erlang-p1-utils (>= 1.0.16)
 Suggests: stun-server | turn-server
 Description: STUN library for Erlang
  This library was written for ejabberd which still uses it.

## erlang-p1-stun 1.0.30

=== debian/changelog ===
erlang-p1-stun (1.0.30-1) unstable; urgency=medium

  * New upstream version 1.0.30
  * Fixed typo in long package description.
  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright
  * Rules-Requires-Root: no

 -- Philipp Huebner <debalance@debian.org>  Wed, 05 Feb 2020 19:33:36 +0100

=== debian/control ===
Source: erlang-p1-stun
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-eunit,
               erlang-p1-tls (>= 1.1.3),
               erlang-p1-utils (>= 1.0.17),
               erlang-syntax-tools
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stun
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stun.git
Homepage: https://github.com/processone/stun

Package: erlang-p1-stun
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-p1-tls (>= 1.1.3),
         erlang-p1-utils (>= 1.0.17)
Suggests: stun-server | turn-server
Description: STUN library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into its own project to follow
 Erlang/OTP guidelines.

## erlang-p1-stun 1.0.37

=== debian/changelog ===
erlang-p1-stun (1.0.37-1) unstable; urgency=medium

  * New upstream version 1.0.37
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sun, 02 Aug 2020 17:37:44 +0200

erlang-p1-stun (1.0.35-1) unstable; urgency=medium

  * New upstream version 1.0.35
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jul 2020 21:50:11 +0200

erlang-p1-stun (1.0.32-1) unstable; urgency=medium

  * New upstream version 1.0.32
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Fri, 01 May 2020 12:31:51 +0200

erlang-p1-stun (1.0.31-1) unstable; urgency=medium

  * New upstream version 1.0.31
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Wed, 18 Mar 2020 12:02:27 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-eunit,
-               erlang-p1-tls (>= 1.1.3),
-               erlang-p1-utils (>= 1.0.17),
+               erlang-p1-tls (>= 1.1.8),
+               erlang-p1-utils (>= 1.0.20),
                erlang-syntax-tools
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stun
@@ -22,8 +22,8 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-tls (>= 1.1.3),
-         erlang-p1-utils (>= 1.0.17)
+         erlang-p1-tls (>= 1.1.8),
+         erlang-p1-utils (>= 1.0.20)
 Suggests: stun-server | turn-server
 Description: STUN library for Erlang
  This library was written for ejabberd which still uses it.

## erlang-p1-stun 1.0.42

=== debian/changelog ===
erlang-p1-stun (1.0.42-2) unstable; urgency=medium

  * Corrected Multi-Arch setting to "allowed"

 -- Philipp Huebner <debalance@debian.org>  Sun, 31 Jan 2021 19:08:57 +0100

erlang-p1-stun (1.0.42-1) unstable; urgency=medium

  * New upstream version 1.0.42
  * Added 'Multi-Arch: same' in debian/control
  * Updated Erlang dependencies
  * Updated years in debian/copyright
  * Added upstream patch to fix tests

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Jan 2021 18:28:34 +0100

erlang-p1-stun (1.0.40-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Philipp Huebner ]
  * New upstream version 1.0.40
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated version of debian/watch: 4
  * Updated debhelper compat version: 13
  * Updated lintian overrides
  * Added debian/erlang-p1-stun.install

 -- Philipp Huebner <debalance@debian.org>  Sat, 26 Dec 2020 00:08:11 +0100

=== debian/control ===
Source: erlang-p1-stun
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-eunit,
               erlang-p1-tls (>= 1.1.11),
               erlang-p1-utils (>= 1.0.21),
               erlang-syntax-tools
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stun
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stun.git
Homepage: https://github.com/processone/stun

Package: erlang-p1-stun
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-p1-tls (>= 1.1.11),
         erlang-p1-utils (>= 1.0.21)
Suggests: stun-server | turn-server
Multi-Arch: allowed
Description: STUN library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into its own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE=1
-
+export DH_VERBOSE=1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
+export ERL_COMPILER_OPTIONS=deterministic
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-stun

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-stun_$1.tar.gz/" \
  https://github.com/processone/stun/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-stun 1.1.0

=== debian/changelog ===
erlang-p1-stun (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * Updated Erlang dependencies
  * Updated debian/watch

 -- Philipp Huebner <debalance@debian.org>  Sun, 19 Dec 2021 23:57:58 +0100

erlang-p1-stun (1.0.44-1) unstable; urgency=medium

  * New upstream version 1.0.44
  * Updated Standards-Version: 4.6.0 (no changes needed)
  * Updated Erlang dependencies
  * Dropped patch now included upstream

 -- Philipp Huebner <debalance@debian.org>  Sun, 29 Aug 2021 21:50:52 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-eunit,
-               erlang-p1-tls (>= 1.1.11),
-               erlang-p1-utils (>= 1.0.21),
+               erlang-p1-tls (>= 1.1.13),
+               erlang-p1-utils (>= 1.0.24),
                erlang-syntax-tools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stun
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stun.git
 Homepage: https://github.com/processone/stun
@@ -22,8 +22,8 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-tls (>= 1.1.11),
-         erlang-p1-utils (>= 1.0.21)
+         erlang-p1-tls (>= 1.1.13),
+         erlang-p1-utils (>= 1.0.24)
 Suggests: stun-server | turn-server
 Multi-Arch: allowed
 Description: STUN library for Erlang

## erlang-p1-stun 1.2.2

=== debian/changelog ===
erlang-p1-stun (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2
  * Updated Standards-Version: 4.6.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Thu, 02 Jun 2022 12:32:59 +0200

=== debian/control ===
Source: erlang-p1-stun
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-rebar (>= 0.0.6),
               erlang-base,
               erlang-eunit,
               erlang-p1-tls (>= 1.1.15),
               erlang-p1-utils (>= 1.0.25),
               erlang-syntax-tools
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stun
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stun.git
Homepage: https://github.com/processone/stun

Package: erlang-p1-stun
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base, ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-p1-tls (>= 1.1.15),
         erlang-p1-utils (>= 1.0.25)
Suggests: stun-server | turn-server
Multi-Arch: allowed
Description: STUN library for Erlang
 This library was written for ejabberd which still uses it.
 It was split off into its own project to follow
 Erlang/OTP guidelines.

## erlang-p1-stun 1.2.6

=== debian/changelog ===
erlang-p1-stun (1.2.6-1) unstable; urgency=medium

  * New upstream version 1.2.6
  * Updated Erlang dependencies
  * Refreshed debian/patches/rebar.config.diff

 -- Philipp Huebner <debalance@debian.org>  Wed, 02 Nov 2022 14:53:12 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-rebar (>= 0.0.6),
                erlang-base,
                erlang-eunit,
-               erlang-p1-tls (>= 1.1.15),
+               erlang-p1-tls (>= 1.1.16),
                erlang-p1-utils (>= 1.0.25),
                erlang-syntax-tools
 Standards-Version: 4.6.1
@@ -22,7 +22,7 @@
          ${misc:Depends},
          erlang-base, ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-tls (>= 1.1.15),
+         erlang-p1-tls (>= 1.1.16),
          erlang-p1-utils (>= 1.0.25)
 Suggests: stun-server | turn-server
 Multi-Arch: allowed

## erlang-p1-stun 1.2.7

=== debian/changelog ===
erlang-p1-stun (1.2.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Update standards version to 4.6.2, no changes needed.

  [ Philipp Huebner ]
  * New upstream version 1.2.7
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Wed, 08 Feb 2023 13:47:14 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                erlang-p1-tls (>= 1.1.16),
                erlang-p1-utils (>= 1.0.25),
                erlang-syntax-tools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stun
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stun.git
 Homepage: https://github.com/processone/stun

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-stun_$1.tar.gz/" \
  https://github.com/processone/stun/tags .*/v?(\d\S*)\.tar\.gz

## erlang-p1-stun 1.2.10

=== debian/changelog ===
erlang-p1-stun (1.2.10-1) unstable; urgency=medium

  * New upstream version 1.2.10
  * Dropped debian/erlang-p1-stun.install and fixed debian/rules instead
    (closes: #1049596)
  * Updated lintian overrides
  * Renamed debian/erlang-p1-stun.lintian-overrides
    -> debian/lintian-overrides
  * Updated debian/patches/rebar.config.diff

 -- Philipp Huebner <debalance@debian.org>  Tue, 26 Dec 2023 16:22:56 +0100

=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,4 @@
 			install -m 644 $${file} $(DESTDIR)/usr/lib/erlang/lib/p1_stun-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
 		fi ; \
 	done
+	find $(CURDIR)/debian/tmp/ -type f -name '*.hrl' -delete

## erlang-p1-stun 1.2.14

=== debian/changelog ===
erlang-p1-stun (1.2.14-1) unstable; urgency=medium

  * New upstream version 1.2.14
  * Updated Erlang dependencies
  * Updated debian/patches/rebar.config.diff

 -- Philipp Huebner <debalance@debian.org>  Thu, 03 Oct 2024 21:20:27 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                dh-rebar (>= 0.0.6),
                erlang-base,
                erlang-eunit,
-               erlang-p1-tls (>= 1.1.16),
-               erlang-p1-utils (>= 1.0.25),
+               erlang-p1-tls (>= 1.1.21),
+               erlang-p1-utils (>= 1.0.26),
                erlang-syntax-tools
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stun
@@ -22,8 +22,8 @@
          ${misc:Depends},
          erlang-base, ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-tls (>= 1.1.16),
-         erlang-p1-utils (>= 1.0.25)
+         erlang-p1-tls (>= 1.1.21),
+         erlang-p1-utils (>= 1.0.26)
 Suggests: stun-server | turn-server
 Multi-Arch: allowed
 Description: STUN library for Erlang

## erlang-p1-stun 1.2.15

=== Makefile ===
REBAR ?= rebar

all: deps/% src

deps/%:
	$(REBAR) get-deps

src:
	$(REBAR) compile

clean:
	$(REBAR) clean

doc:
	$(REBAR) skip_deps=true doc

test: all
	$(REBAR) -v skip_deps=true eunit

.PHONY: clean src all doc rebar

=== debian/changelog ===
erlang-p1-stun (1.2.15-1) unstable; urgency=medium

  * New upstream version 1.2.15
  * Updated Standards-Version: 4.7.0 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright
  * Removed debian/patches/ because it is no longer needed
  * debian/rules: add creation of symbolic link for native app name

 -- Philipp Huebner <debalance@debian.org>  Sun, 09 Feb 2025 11:11:51 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                dh-rebar (>= 0.0.6),
                erlang-base,
                erlang-eunit,
-               erlang-p1-tls (>= 1.1.21),
+               erlang-p1-tls (>= 1.1.22),
                erlang-p1-utils (>= 1.0.26),
                erlang-syntax-tools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stun
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stun.git
 Homepage: https://github.com/processone/stun
@@ -22,7 +22,7 @@
          ${misc:Depends},
          erlang-base, ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-tls (>= 1.1.21),
+         erlang-p1-tls (>= 1.1.22),
          erlang-p1-utils (>= 1.0.26)
 Suggests: stun-server | turn-server
 Multi-Arch: allowed

=== debian/rules ===
--- 
+++ 
@@ -22,3 +22,4 @@
 		fi ; \
 	done
 	find $(CURDIR)/debian/tmp/ -type f -name '*.hrl' -delete
+	ln -s /usr/lib/erlang/lib/p1_stun-$(DEB_VERSION_UPSTREAM) $(DESTDIR)/usr/lib/erlang/lib/stun-$(DEB_VERSION_UPSTREAM)

## erlang-p1-stun 1.2.21

=== debian/changelog ===
erlang-p1-stun (1.2.21-1) unstable; urgency=medium

  * Team upload.
  * Update d/watch to version 5.
  * New upstream version.

 -- Dominik George <natureshadow@debian.org>  Wed, 11 Feb 2026 18:53:58 +0000

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                dh-rebar (>= 0.0.6),
                erlang-base,
                erlang-eunit,
-               erlang-p1-tls (>= 1.1.22),
-               erlang-p1-utils (>= 1.0.26),
+               erlang-p1-tls (>= 1.1.25),
+               erlang-p1-utils (>= 1.0.28),
                erlang-syntax-tools
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-stun

=== debian/watch ===
Version: 5
Template: GitHub
Dist: https://github.com/processone/stun
